

void pcm_off(void)
{
    pinMode(speakerPin, INPUT);
     digitalWrite(speakerPin, LOW);
//     PRR = 0b11000000;
     PRR |= bit(6);  // Timer2 stop
     
}

void pcm_init(void)
{


    pinMode(speakerPin, OUTPUT);
     PRR &= ~ bit(6);  // Timer2 start

    // Set up Timer 2 to do pulse width modulation on the speaker
    // pin.

    // Use internal clock (datasheet p.160)
    ASSR &= ~(_BV(EXCLK) | _BV(AS2));

    TCCR2A |= _BV(WGM21) | _BV(WGM20);
    TCCR2B &= ~_BV(WGM22);

    // Do non-inverting PWM on pin OC2A (p.155)
    // On the Arduino this is pin 11.
    TCCR2A = (TCCR2A | _BV(COM2B1)) & ~_BV(COM2B0);
    TCCR2A &= ~(_BV(COM2A1) | _BV(COM2A0));

    // No prescaler (p.158)
    TCCR2B = (TCCR2B & ~(_BV(CS12) | _BV(CS11))) | _BV(CS10);

    PORTB	= 0x00;
    // Set initial pulse width to the first sample.
    OCR2B = 0x80;



}


