#define PG_NAME "UNYA"
#define PG_VER "Ver1.3+"

#include <avr/sleep.h>
#include <TimerOne.h>
//#include <FatFs.h>
//#include <TFT_FatFs.h>
//#include <SPI.h>
//#include <SD.h>
#include <EEPROM.h>

#define SWPIN (20)//A6
//#define S_SPEED 115200
#define S_SPEED 57600

#define forloop(i,j) for(int i=0;i<j;i++)

void dummy(void)
{
    Serial.begin(S_SPEED);
}
#include "local_jtypes.h"
//#include "boot_count.h"

// 起動ブザー
#define BEEPPIN (3)
#define BEEPGND (4)
int speakerPin = BEEPPIN;

#include "pow.h" 
#include "pcm.h" 

#include "adpcm.h" // ADPCM変更点
#include "bin_data.h" // ADPCM変更点

//    char str[128];
    char str[128];
    
#include "beep.h" 
#include "pz_main.h" 


  //  赤外線センサー設定B
  #define SENS_PIN (14)
  //  赤外線センサー設定E
  
  
//File file;
//Serial;

#define SD_CS_PIN (8)

#define LEDPIN (13)
//#define DAPIN (2)
//#define DABIT (8)
//#define dapin(x) (DAPIN + x)
//#define setDA(x,y)




#define PCM8_MODE_WAV (1)
#define WAVHEADSZ (0x3A)
//  22kHz 再生可能最大

//#define PCMHZ (6000)  // ファミマ
#define PCMHZ (8000) // 白悪魔  通常

//#define PCMHZ (15625)




unsigned long wavhz;
//   1000*1000*1/PCMHZ  周波数からマイクロ秒
// 真の１サンプル時間
//#define TIMERust  ((float)1000*1000*1.0/wavhz)
float TIMERust;


// 割り込み１サンプル時間
//#define TIMERus  ((long)((float)1000*1000*1.0/wavhz))
long TIMERus;

//  何回で１サンプルずれるか(切り捨て誤差)
//#define TIMERerr   ( TIMERus/(TIMERust - TIMERus) )
long TIMERerr;



// lcd
#include <LiquidCrystal.h>
//#include <OLED.h>

LiquidCrystal lcd(6,7,A0,A1,A2,A3);
//OLED lcd(6,7,A0,A1,A2,A3);

void lcd_out(char *str,int wt,int we)
{
      for(int x=0;str[x]!=0;x++)
      {
        lcd.write(str[x]);
        delay(wt);
      }
        delay(we);
}

#define OUT_DL (7)
void lcd_out2(char *str,int wt,int we,int x, int y)
{
      for(int i=0;str[i]!=0;i++)
      {
          for(int j=0x20;j<0x7F;j++)
          {
          lcd.setCursor(x+i,y);
          lcd.write(j);
          delay(OUT_DL);
          if(str[i]==j)break;
          }
          int dl=wt - (str[i]-0x20)*OUT_DL;
          if(dl>0)
          {
            delay(dl);
          }
      }
        delay(we);
}
//beep_put
void lcd_out3(char *str,int wt,int we,int x, int y)
{
      for(int x=0;str[x]!=0;x++)
      {
        lcd.write(str[x]);
      beep_put();
        delay(wt);
      }
        delay(we);
}


//#define k_U "\xb3"
#define k__ "\xb0"
//#define k_NI "\xc6"
//#define k_ya "\xac"
#define k_RU "\d9"
#define k_KO "\ba"

#define k_rl "\xA3"
#define k_nt "\xA5"

#define k_U "\x01"
#define k_NI "\x02"
#define k_ya "\x03"
//#define k_w "\x04"
#define k_w "\x05"

#define AA_U   "(" k_rl k_nt k_w  k_nt   ")" k_rl
#define AA_NYA  "(/"   k_nt k_w  k_nt    ")/"


void lcd_fontset(void)
{
  byte fb[4][8]=
  {
    {0x06,0x00,0x0E,0x11,0x01,0x02,0x04,0x00,}, // う
    {0x00,0x17,0x10,0x10,0x10,0x14,0x17,0x00,}, // に
    {0x00,0x00,0x0a,0x07,0x1d,0x04,0x02,0x00,}, // ゃ
    {0x00,0x00,0x0a,0x11,0x15,0x15,0x0a,0x00,}, // ω
  };

//  for(int x=0;x<4;x++)
//  {
////    lcd.createChar(x+1,fb[x]);
//
//  }

      lcd.createChar(1,fb[0]);
      lcd.createChar(2,fb[1]);
      lcd.createChar(3,fb[2]);
      lcd.createChar(5,fb[3]);
}

// lcd

int fno=0;
void setup()
{
  wavhz=PCMHZ;
    pow_init();
//      pcm_init();
//      pinMode(SD_CS_PIN, OUTPUT);
  ACSR=(1<<ACD);  // シリアル文字落ち対策  
  Serial.begin(S_SPEED);
    pinMode(LEDPIN, OUTPUT);    
   digitalWrite(LEDPIN, HIGH);   // set the LED on

  sprintf(str,"\nserial speed:%ld",(long)S_SPEED);
  Serial.println(str);
//  sprintf(str,"%s %s %s",__FILE__, __DATE__,__TIME__);
  sprintf(str,"%s %s", __DATE__,__TIME__);
  Serial.println(str);
  
  Serial.print("bin_data_file=");
  sprintf(str,"%s", BIN_DATA_FILE_ORG);
  Serial.println(str);
  

pcm_init();
//delay(500);
reset_beep();

 // pz_loop();


  set_sleep_mode(SLEEP_MODE_IDLE);  //スリープモード設定：アイドル


 //  delay(500);
  lcd.begin(8, 2);
  delay(500);



  lcd.clear();  

   lcd.home();

  lcd.setCursor(0,0);

  lcd.cursor();
    lcd.blink();
//     lcd_out(PG_NAME,200,2000);
//     lcd_out3(PG_NAME,200,2000,0,0);
     lcd_out3(PG_NAME,50,1000,0,0);
   lcd.home();
  lcd.setCursor(0,1);
//     lcd_out(PG_VER,200,2000);
//     lcd_out3(PG_VER,200,2000,0,1);
     lcd_out3(PG_VER,50,1000,0,1);
  
 // beep_down();
  pz_loop();
//  delay(1000);
////  fno= boot_count();
//  // 初期ウエイト  1秒待つ
//
//   pinMode(LEDPIN, OUTPUT);    
//   digitalWrite(LEDPIN, HIGH);   // set the LED on
//
//  delay(1*1000);  
//     digitalWrite(LEDPIN, LOW);   // set the LED on

  Serial.println("OK");
  
pcm_off();
  pow_ctl(0);
  
lcd_fontset();
lcd.noCursor();
  
}


vu8 dmax=0;
vu8 dmin=0xff;
//#define BUFSZ (256)
#define BUFSZ (128)
u8 buf[2][BUFSZ];
u8 buf_use=0;  //使うバッファ
u16 buf_pos=0;   //バッファ内の位置
vu8 buf_flg=0;  //空になったら 1
vu8 buf_e=0;  //空になったバッファ
u16 tm_count=0;
vu8 buf_last=0;  // WAV終了フラグ
void callback(void)
{
    if(buf_last==2)return;

//  if(tm_count>=TIMERerr)
//  {
//      tm_count=0;
//      return;
//  }
  tm_count++;
  
  
  { // ADPCM変更点
    u8 d=buf[buf_use][buf_pos];
    static bool a=false;
    if(a==false){
      a=true;
      d&=0x0f;
      }else{
      a=false;
      d>>=4;
      buf_pos++;
    }
    d=ADPCM_DecodeToPCM8(d);

    OCR2B = d;
    if(dmin>d)dmin=d;
    if(dmax<d)dmax=d;
  }


  if(buf_pos==BUFSZ)
  {
    buf_pos=0;
    buf_e=buf_use;
    buf_use=(buf_use==0)?1:0;  
    if(buf_last==1)buf_last=2;
    buf_flg=1;
  } 
}


//=file_read((uint8_t*)buf[0], BUFSZ);
#define file_read(x,y)  read_buff(x,y)
static int file_ps=0;
int read_buff( uint8_t *buf,int sz )
{
    int x=0;
  for(x=0;x<sz;x++)
   {
     if(file_ps+x> BIN_DATA_SIZE)break;
     buf[x]=bin_data_r(x+file_ps); 
    }
    file_ps+=x;
    return x;
}

  int unya=1;
long TIMERusx;

char txt_u[] = "        " k_U k__  "! ";
char txt_nya[] = "        "  k_NI k_ya k__ "! ";

void loop()
{


    int oad=0;


  int flg=0;



     {
         file_ps=0;
      long sz;
      long rsz=0; // now

//    pow_amp(1);
     pcm_init();
    ADPCM_Init(); // ADPCM変更点
    
//    wavhz=11025; // ADPCM変更点
 //   wavhz=PCMHZ; // ADPCM変更点
//    wavhz=random(1000,16000);
    u32 x;
    sprintf(str,"WAV is %ld Hz",wavhz );
    Serial.println(str);
    
    TIMERust=((float)1000*1000*1.0/wavhz);
    x=TIMERust * 1000;
    
    sprintf(str,"TIMERust=%ld",x );
    Serial.println(str);
    TIMERus= ((long)((float)1000*1000*1.0/wavhz));
    x=TIMERus;
    sprintf(str,"TIMERus=%ld",  x);
    Serial.println(str);
    TIMERerr=( TIMERus/(TIMERust - TIMERus) );
    x=TIMERerr;

    Serial.print("TIMERerr=");
    Serial.println(x);
    buf_last=0;
      pcm_init();
      Timer1.initialize(TIMERus);         // initialize timer1, and set a 1/2 second period

      // バッファリング
      sz=file_read((uint8_t*)buf[0] , BUFSZ);
      sz=file_read((uint8_t*)buf[1], BUFSZ);
      Timer1.attachInterrupt(callback);  // attaches callback() as a timer overflow interrupt
      Serial.println("for(;;)" );
      int ct=0;
          int oct41=99;
          int oct42=99;
      for(;;)
      {

          while(buf_flg==0)
          {
              //スリープ
          //     sleep_mode();  //ここでsleep
          }
          sz=file_read((uint8_t*)buf[buf_e], BUFSZ);
          buf_flg=0;
          ct++;
          int ct41=ct/3;
          int ct42=(ct-30)/3;

          if(1 <= ct  && ct <= 29)
          {
              if(ct==1)
              {
                lcd.clear();
                lcd.setCursor(0,1);
                //lcd.print( unya );
                lcd.print(  AA_U " ");
              }
              if(ct41 != oct41)
              {
                oct41=ct41;
                if(ct41>=1 )
                {
                  lcd.setCursor(ct41 - 1,0);
                  lcd.print(" " );
                }

                  lcd.setCursor(ct41,0);
//                  lcd.setCursor(0,0);
//                  lcd.print((char*)&txt_u[ct41]);
                  lcd.print(k_U k__  "!");
              }
          }
          else if(30 <= ct)
          {
              if(ct == 30)
              {
                lcd.clear();
                lcd.setCursor(0,1);
                //lcd.print( unya );
                lcd.print(   AA_NYA " ");
              }
              if(ct42 != oct42)
              {
                oct42=ct42;
                if( ct42>=1 )
                {
                  lcd.setCursor(ct42 - 1,0);
                  lcd.print(" " );
                }
                  lcd.setCursor(ct42,0);
//                  lcd.setCursor(0,0);
//                  lcd.print((char*)&txt_nya[ct42]);
                  lcd.print(  k_NI k_ya k__ "!");
              }
          }
          //      Serial.println(ct);


          if(sz!=BUFSZ)  //残りを無音で埋める
          {
            buf_last=1;
              for(int i=sz;i<BUFSZ;i++)
              {
                buf[buf_e][i]=0;
              }
                break;
          }
      }


//      //  残りのバッファ再生
//      while(buf_flg==0)
//      {
//          //スリープ
//           sleep_mode();  //ここでsleep
//      }
      Timer1.detachInterrupt();
      fno++;
      unya++;
//      if(wavhz<9000)
//      {
//      wavhz=wavhz*1.01;
//      }

    }
    sprintf(str,"dmax=%d",dmax);
      Serial.println(str );
    sprintf(str,"dmin=%d",dmin);
      Serial.println(str );
//  delay(1000);
//  pcm_off();
//    pow_amp(0);
//  delay(5000);
}



