
//#include "beep.h" 

#define BEEPHz (440)
#define BEEPus (1000L*1000/(BEEPHz*2L))
#define BEEPms (20)
#define BEEP_H {OCR2B = 0xA0;}
#define BEEP_L {OCR2B = 0x60;}
#define BEEP_N {OCR2B = 0x80;}
void reset_beep(void)
{
   pinMode(BEEPGND, OUTPUT);
   digitalWrite(BEEPGND, LOW);
  BEEP_N;   
//   pinMode(LEDPIN, OUTPUT);    
//   digitalWrite(LEDPIN, HIGH);   // set the LED on
   pinMode(BEEPPIN, OUTPUT);
    forloop(i,BEEPms/10)
    forloop(j,BEEPHz/10)
    {
//     digitalWrite(BEEPPIN, HIGH);   // set the LED on
     BEEP_H;
     delayMicroseconds(BEEPus);
//     digitalWrite(BEEPPIN, LOW);   // set the LED on
     BEEP_L;
     delayMicroseconds(BEEPus);
    }
    forloop(i,BEEPms/10)
    forloop(j,BEEPHz*2/10)
    {
     //digitalWrite(BEEPPIN, HIGH);   // set the LED on
     BEEP_H;
     delayMicroseconds(BEEPus/2);
     //digitalWrite(BEEPPIN, LOW);   // set the LED on
     BEEP_L;
     delayMicroseconds(BEEPus/2);
    }
  BEEP_N;   
}

#define BEEPHz2 (880)
#define BEEPus2 (1000L*1000/(BEEPHz2*2L))
#define BEEPms2 (10)

void beep_put(void)
{
   pinMode(BEEPGND, OUTPUT);
   digitalWrite(BEEPGND, LOW);
  BEEP_N;   
//   pinMode(LEDPIN, OUTPUT);    
//   digitalWrite(LEDPIN, HIGH);   // set the LED on
   pinMode(BEEPPIN, OUTPUT);
    forloop(i,BEEPms2/10)
    forloop(j,BEEPHz2/10)
    {
//     digitalWrite(BEEPPIN, HIGH);   // set the LED on
     BEEP_H;
     delayMicroseconds(BEEPus2);
//     digitalWrite(BEEPPIN, LOW);   // set the LED on
     BEEP_L;
     delayMicroseconds(BEEPus2);
    }

  BEEP_N;   
}

#define BEEPms3 (30)

void beep_down(void)
{
  int BEEPus3=BEEPus2;
   pinMode(BEEPGND, OUTPUT);
   digitalWrite(BEEPGND, LOW);
  BEEP_N;   
//   pinMode(LEDPIN, OUTPUT);    
//   digitalWrite(LEDPIN, HIGH);   // set the LED on
   pinMode(BEEPPIN, OUTPUT);
    forloop(i,BEEPms3/10)
    {
    forloop(j,BEEPHz2/10)
    {
//     digitalWrite(BEEPPIN, HIGH);   // set the LED on
     BEEP_H;
     delayMicroseconds(BEEPus3);
//     digitalWrite(BEEPPIN, LOW);   // set the LED on
     BEEP_L;
     delayMicroseconds(BEEPus3);
    BEEPus3=BEEPus3*1.01;
    }
    }

  BEEP_N;   
}



//#define BEEPHz (440)
//#define BEEPus (1000L*1000/(BEEPHz*2L))
//#define BEEPms (20)

void beep_tone_init(void)
{
   pinMode(BEEPGND, OUTPUT);
   digitalWrite(BEEPGND, LOW);
   pinMode(BEEPPIN, OUTPUT);

}

void beep_tone(int beepHz,long beepms)
{
	if(beepHz==0)
	{
			delay(beepms);
			return;
	}
long beepus =(1000.0*1000/(beepHz*2L));
long beepct =beepms*beepHz*1L/1000L;

long time_ms = (beepus*2*beepct)/1000;
  sprintf(str,"beepms = %d",beepms);
  Serial.println(str);
  sprintf(str,"beepus = %ld",beepus);
  Serial.println(str);
  sprintf(str,"beepct = %ld",beepct);
  Serial.println(str);
  sprintf(str,"time_ms = %ld",time_ms);
  Serial.println(str);
  
  BEEP_N;   
//   pinMode(LEDPIN, OUTPUT);    
//   digitalWrite(LEDPIN, HIGH);   // set the LED on
//   pinMode(BEEPPIN, OUTPUT);
//    forloop(i,beepus/100)
//    forloop(j,beepct)
int j;
    for(j=0;j<beepct;j++)
    {
//     digitalWrite(BEEPPIN, HIGH);   // set the LED on
     BEEP_H;
     delayMicroseconds(beepus);
//     digitalWrite(BEEPPIN, LOW);   // set the LED on
     BEEP_L;
     delayMicroseconds(beepus);
    }

  BEEP_N;   
}
