
#pragma once

#define AMP_PW_GND_PIN (2)
#define SNS_PW_VCC_PIN (15)


void pow_init(void)
{

   // SNS Hi-Z
   digitalWrite(SNS_PW_VCC_PIN, LOW); 
    pinMode(SNS_PW_VCC_PIN, INPUT);      
   // AMP ON
   digitalWrite(AMP_PW_GND_PIN, LOW); 
    pinMode(AMP_PW_GND_PIN, OUTPUT);      

}

void pow_sns(u8 x)
{
  if(x==0)
  {
   // SNS Hi-Z
   digitalWrite(SNS_PW_VCC_PIN, LOW); 
    pinMode(SNS_PW_VCC_PIN, OUTPUT);      
  }
  else
  {
   // SNS ON
   digitalWrite(SNS_PW_VCC_PIN, HIGH); 
    pinMode(SNS_PW_VCC_PIN, OUTPUT);      
  }
  
  
}
void pow_amp(u8 x)
{
  if(x==0)
  {
   // AMP Hi-Z
   digitalWrite(AMP_PW_GND_PIN, LOW); 
    pinMode(AMP_PW_GND_PIN, INPUT);      
  }
  else
  {
   // AMP ON
   digitalWrite(AMP_PW_GND_PIN, LOW); 
    pinMode(AMP_PW_GND_PIN, OUTPUT);      
  }
  
}

void pow_ctl(u8 x)
{
  if(x==0)
  {
      pow_sns(0);
      pow_amp(0);
  }
  else
  {
      pow_sns(1);
      pow_amp(1);
  }
  
}


